Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class ExtraTokenResponseTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.ExtraTokenResponseTO

All Implemented Interfaces:
  Serializable

public class ExtraTokenResponseTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`ExtraTokenResponseTO()`
`ExtraTokenResponseTO(String cardDescription, byte[] cardImage, String cardImageType, String cardName, String name, String tkn)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCardDescription()` Gets the cardDescription value for this ExtraTokenResponseTO.
`byte[]` | `getCardImage()` Gets the cardImage value for this ExtraTokenResponseTO.
`String` | `getCardImageType()` Gets the cardImageType value for this ExtraTokenResponseTO.
`String` | `getCardName()` Gets the cardName value for this ExtraTokenResponseTO.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getName()` Gets the name value for this ExtraTokenResponseTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`String` | `getTkn()` Gets the tkn value for this ExtraTokenResponseTO.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setCardDescription(String cardDescription)` Sets the cardDescription value for this ExtraTokenResponseTO.
`void` | `setCardImage(byte[] cardImage)` Sets the cardImage value for this ExtraTokenResponseTO.
`void` | `setCardImageType(String cardImageType)` Sets the cardImageType value for this ExtraTokenResponseTO.
`void` | `setCardName(String cardName)` Sets the cardName value for this ExtraTokenResponseTO.
`void` | `setName(String name)` Sets the name value for this ExtraTokenResponseTO.
`void` | `setTkn(String tkn)` Sets the tkn value for this ExtraTokenResponseTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtraTokenResponseTO

    public ExtraTokenResponseTO()

### ExtraTokenResponseTO

    public ExtraTokenResponseTO(String cardDescription,
                                byte[] cardImage,
                                String cardImageType,
                                String cardName,
                                String name,
                                String tkn)

Method Detail

### getCardDescription

    public String getCardDescription()

  Gets the cardDescription value for this ExtraTokenResponseTO.

  Returns:
    cardDescription

### setCardDescription

    public void setCardDescription(String cardDescription)

  Sets the cardDescription value for this ExtraTokenResponseTO.

  Parameters:
    `cardDescription` -

### getCardImage

    public byte[] getCardImage()

  Gets the cardImage value for this ExtraTokenResponseTO.

  Returns:
    cardImage

### setCardImage

    public void setCardImage(byte[] cardImage)

  Sets the cardImage value for this ExtraTokenResponseTO.

  Parameters:
    `cardImage` -

### getCardImageType

    public String getCardImageType()

  Gets the cardImageType value for this ExtraTokenResponseTO.

  Returns:
    cardImageType

### setCardImageType

    public void setCardImageType(String cardImageType)

  Sets the cardImageType value for this ExtraTokenResponseTO.

  Parameters:
    `cardImageType` -

### getCardName

    public String getCardName()

  Gets the cardName value for this ExtraTokenResponseTO.

  Returns:
    cardName

### setCardName

    public void setCardName(String cardName)

  Sets the cardName value for this ExtraTokenResponseTO.

  Parameters:
    `cardName` -

### getName

    public String getName()

  Gets the name value for this ExtraTokenResponseTO.

  Returns:
    name

### setName

    public void setName(String name)

  Sets the name value for this ExtraTokenResponseTO.

  Parameters:
    `name` -

### getTkn

    public String getTkn()

  Gets the tkn value for this ExtraTokenResponseTO.

  Returns:
    tkn

### setTkn

    public void setTkn(String tkn)

  Sets the tkn value for this ExtraTokenResponseTO.

  Parameters:
    `tkn` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD